FUNCTION TEMPLAT(3)

NAME
boost::algorithm::trim_if - Trim.

SYNOPSIS

// In header: <boost/algorithm/string/trim.hpp>
template<typename SequenceT, typename PredicateT>
  void trim_if(SequenceT & Input, PredicateT IsSpace);

DESCRIPTION

Remove all leading and trailing spaces from the input. The supplied predicate is used to determine which characters are considered spaces. The input sequence is modified in-place.

Parameters:

    Input
        An input sequence

    IsSpace
        An unary predicate identifying spaces